
;-| Super Motions |--------------------------------------------------------
;The following two have the same name, but different motion.
;Either one will be detected by a "command = TripleKFPalm" trigger.
;Time is set to 20 (instead of default of 15) to make the move
;easier to do.


;Specials----------------
[Command]
name = "hsa"
command = D,F,a

[Command]
name = "crod"
command = D,B,y

[Command]
name = "shield_throw"
command = B,B,F
time = 20

[Command]
name = "multiy"
command = y,y,y
time = 20

; AI -------------------
[Command]
name = "ai"
command = x,y,z,x,y,z,x+y+z,U,D,B,F
time = 1

[Command]
name = "ai1"
command = x,y,z,x,y,z,x+y+z,U,D,B,F
time = 1

[Command]
name = "ai2"
command = x,y,z,x,y,z,x+y+z,U,D,B,F
time = 1

[Command]
name = "ai3"
command = x,y,z,x,y,z,x+y+z,U,D,B,F
time = 1

[Command]
name = "ai4"
command = x,y,z,x,y,z,x+y+z,U,D,B,F
time = 1

[Command]
name = "ai5"
command = x,y,z,x,y,z,x+y+z,U,D,B,F
time = 1

[Command]
name = "ai6"
command = x,y,z,x,y,z,x+y+z,U,D,B,F
time = 1

[Command]
name = "ai7"
command = x,y,z,x,y,z,x+y+z,U,D,B,F
time = 1

[Command]
name = "ai8"
command = x,y,z,x,y,z,x+y+z,U,D,B,F
time = 1

[Command]
name = "ai9"
command = x,y,z,x,y,z,x+y+z,U,D,B,F
time = 1

[Command]
name = "ai10"
command = x,y,z,x,y,z,x+y+z,U,D,B,F
time = 1

[Command]
name = "ai11"
command = x,y,z,x,y,z,x+y+z,U,D,B,F
time = 1

[Command]
name = "ai12"
command = x,y,z,x,y,z,x+y+z,U,D,B,F
time = 1

[Command]
name = "ai13"
command = x,y,z,x,y,z,x+y+z,U,D,B,F
time = 1

[Command]
name = "ai14"
command = x,y,z,x,y,z,x+y+z,U,D,B,F
time = 1

[Command]
name = "ai15"
command = x,y,z,x,y,z,x+y+z,U,D,B,F
time = 1


;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1


[Command]
name = "holdz"
command = /z

[Command]
name = "releasez"
command = ~z

[Command]
name = "holdx"
command = /x

[Command]
name = "releasex"
command = ~x

;VAR 59 = AI on/off
[Statedef -1]

;===========================================================================
;---------------------------------------------------------------------------
;Run Fwd

[State -1, Run Fwd]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Run Back

[State -1, Run Back]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl



[State -1, Buster]
type = ChangeState
value = 300
triggerall = command = "x"
triggerall = Var(30) < 3
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 300 && time > 8


[State -1, Buster LV UP]
type = ChangeState
value = 300
triggerall = command = "releasex"
triggerall = Var(30) < 3 && Var(29) > 90
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Air Buster]
type = ChangeState
value = 650
triggerall = command = "x"
triggerall = Var(30) < 3
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 650 && time > 8

[State -1, Air Buster LV UP]
type = ChangeState
value = 650
triggerall = command = "releasex"
triggerall = Var(30) < 3 && Var(29) > 90
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 650 && time > 8

[State -1, Land Buster]
type = ChangeState
value = 651
triggerall = command = "x"
triggerall = Var(30) < 3
triggerall = anim = 47
trigger1 = statetype = S
trigger2 = stateno = 650 && time > 8
triggerall = statetype = S

[State -1, Land Buster LV UP]
type = ChangeState
value = 651
triggerall = command = "releasex"
triggerall = Var(30) < 3 && Var(29) > 90
triggerall = anim = 47
trigger1 = statetype = S
trigger2 = stateno = 650 && time > 8
triggerall = statetype = S

;Hyper sabre A

[State -1, Hyper Sabre a]
type = ChangeState
value = 1000
triggerall = command = "hsa"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 500
trigger2 = movehit = 1

[State -1, Hyper Sabre air]
type = ChangeState
value = 1010
triggerall = command = "hsa"
trigger1 = statetype = A
trigger1 = ctrl


;circling Rod

[State -1, circling Rod]
type = ChangeState
value = 1700
triggerall = command = "crod"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, circling Rod air]
type = ChangeState
value = 1710
triggerall = command = "crod"
trigger1 = statetype = A
trigger1 = ctrl

;Shield Throw
[State -1, Shield Throw]
type = ChangeState
value = 1500
triggerall = command = "shield_throw"
trigger1 = statetype = S
trigger1 = stateno = 500

[State -1, Shield Throw air]
type = ChangeState
value = 1510
triggerall = command = "shield_throw"
trigger1 = statetype = A
trigger1 = stateno = 800

;===========================================================================
;---------------------------------------------------------------------------
;Stand Light sabre

[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = command = "a"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 500
trigger2 = movehit = 1

;Stand Medium Sabre
[State -1, Stand Medium Sabre]
type = ChangeState
value = 210
triggerall = command = "b" 
triggerall = statetype != A
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 && time > 8

;Stand Strong Sabre
[State -1, Stand Strong Sabre]
type = ChangeState
value = 211
triggerall = command = "c" 
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 210 && time > 6

;Running Sabre
[State -1, Stand Strong Punch]
type = ChangeState
value = 230
triggerall = command = "a" || command = "b" || command = "c"
triggerall = stateno = 100 && time < 8 && time > 2
trigger1 = statetype = S




;---------------------------------------------------------------------------
;Taunt

[State -1, Taunt]
type = null;ChangeState
value = 195
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl

;Wall get & jump
[State -1, walljump]
type = changestate
value = 6060
triggerall = statetype = A
triggerall = command = "holdup" && command = "holdfwd"
trigger1 = ctrl
trigger1 = backedgebodydist < 10
trigger1 = stateno = 50

;---------------------------------------------------------------------------
;Multi Rod
[State -1, Multi Rod]
type = ChangeState
value = 410
triggerall = command = "multiy"
trigger1 = statetype = S
trigger1 = ctrl

;Fwd St Rod

[State -1, Fwd St Rod]
type = ChangeState
value = 400
triggerall = command = "y" && command != "multiy"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Escudo

[State -1, Escudo]
type = ChangeState
value = 500
triggerall = command = "holdz"
triggerall = var(5) = 0
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Jump Light sabre

[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = stateno !=105
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 800
trigger2 = movehit = 1

;Jump Fwd Rod
[State -1, Jump Fwd Rod]
type = ChangeState
value = 700
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = A
trigger1 = ctrl

;Jump Down Rod
[State -1, Jump Down Rod]
type = ChangeState
value = 710
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = A
trigger1 = ctrl


;---------------------------------------------------------------------------
;Jump Strong sabre
[State -1, Jump Strong Punch]
type = ChangeState
value = 610
triggerall = command = "b" 
triggerall = stateno !=105
trigger1 = statetype = A
trigger1 = ctrl


;---------------------------------------------------------------------------
;Jump strongest sabre

[State -1, Jump Light Kick]
type = ChangeState
value = 620
triggerall = command = "c"
triggerall = stateno !=105
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Escudo

[State -1, Escudo]
type = ChangeState
value = 800
triggerall = command = "holdz"
triggerall = command != "holddown"
trigger1 = statetype = A
trigger1 = ctrl

;-----------------------------------------------------------------
;AI

[State -1, AI]
type = VarSet
trigger1 = command = "ai1"
trigger2 = command = "ai2"
trigger3 = command = "ai3"
trigger4 = command = "ai4"
trigger5 = command = "ai5"
trigger6 = command = "ai6"
trigger7 = command = "ai7"
trigger8 = command = "ai8"
trigger9 = command = "ai9"
trigger10 = command = "ai10"
trigger11 = command = "ai11"
trigger12 = command = "ai12"
trigger13 = command = "ai13"
trigger14 = command = "ai14"
trigger15 = command = "ai15"
trigger16 = command = "ai"
var(59) = 1






